Bug 450918 - Some help buttons lead to empty help pages
Summary: Some help buttons lead to empty help pages
Status: RESOLVED FIXED
Alias: None
Product: kinfocenter
Classification: Applications
Component: general (show other bugs)
Version: 5.24.2
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-27 12:05 UTC by postix
Modified: 2022-02-28 17:52 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.3


Attachments
Screenshot (42.77 KB, image/png)
2022-02-27 12:05 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2022-02-27 12:05:16 UTC
Created attachment 147167 [details]
Screenshot

SUMMARY

* Devices
  - USB Devices: help:/kinfocenter/kcmusb.html
* Graphics
  - X-Server: help:/kinfocenter/xserver.html
* Network
  - Network Interfaces: help:/kinfocenter/nic.html
  - Samba Status: help:/kinfocenter/smbstatus.html

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20220224
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.16.10-1-default (64-bit)
Graphics Platform: Wayland
Comment 1 postix 2022-02-27 12:08:26 UTC
Now I see it actually says in black letters on the dark background of Breeze dark:

> Could not find filename nic.html in /usr/share/doc/HTML/en//kinfocenter/nic.html

and for the others the same. The wrong font color is most likely another bug.
Comment 3 Harald Sitter 2022-02-28 17:50:43 UTC
Git commit cda858d195bc42ed82ef707e2848848e4f2bdce5 by Harald Sitter.
Committed on 28/02/2022 at 13:56.
Pushed by ngraham into branch 'master'.

fix up help paths

not sure when they broke but they were decidely wrong

M  +1    -1    Modules/nics/kcm_nic.json
M  +1    -1    Modules/samba/smbstatus.json
M  +1    -1    Modules/usbview/kcmusb.json
M  +1    -1    Modules/xserver/kcm_xserver.json

https://invent.kde.org/plasma/kinfocenter/commit/cda858d195bc42ed82ef707e2848848e4f2bdce5
Comment 4 Nate Graham 2022-02-28 17:51:42 UTC
Git commit 53c021fccb1f49e20a161b4e3db3fdbb67985b40 by Nate Graham, on behalf of Harald Sitter.
Committed on 28/02/2022 at 17:51.
Pushed by ngraham into branch 'Plasma/5.24'.

fix up help paths

not sure when they broke but they were decidely wrong


(cherry picked from commit cda858d195bc42ed82ef707e2848848e4f2bdce5)

M  +1    -1    Modules/nics/kcm_nic.json
M  +1    -1    Modules/samba/smbstatus.json
M  +1    -1    Modules/usbview/kcmusb.json
M  +1    -1    Modules/xserver/kcm_xserver.json

https://invent.kde.org/plasma/kinfocenter/commit/53c021fccb1f49e20a161b4e3db3fdbb67985b40